import { extend } from '../vue'
import { PROP_TYPE_BOOLEAN } from '../constants/props'
import { makeProp } from '../utils/props'

// --- Props ---

export const props = {
  plain: makeProp(PROP_TYPE_BOOLEAN, false)
}

// --- Mixin ---

// @vue/component
export const formCustomMixin = extend({
  props,
  computed: {
    custom() {
      return !this.plain
    }
  }
})
